summaryrefslogtreecommitdiffstats
path: root/tools/run_tests.sh
diff options
context:
space:
mode:
authorEmma Foley <emma.l.foley@intel.com>2017-11-07 21:04:08 +0000
committerEmma Foley <emma.l.foley@intel.com>2017-11-17 17:19:17 +0000
commitf01e1496ba4c520b011663b1ff634db7a668a383 (patch)
tree9e3f485544a83b76b0c84e41de2ff1b0c61f544b /tools/run_tests.sh
parent29476ed0317dcc635dff67d2fc9fd68233aa6656 (diff)
Move test scripts to tools/
Move the scripts that tox uses for running tests to the tools/ directory: * run_tests.sh -> tools/run_tests.sh * tests/ci/cover.{sh,awk} -> tools/ JIRA: YARDSTICK-837 Change-Id: I817c9e5f58c06b45f1de3f369318f4bb24168677 Signed-off-by: Emma Foley <emma.l.foley@intel.com>
Diffstat (limited to 'tools/run_tests.sh')
-rwxr-xr-xtools/run_tests.sh85
1 files changed, 85 insertions, 0 deletions
diff --git a/tools/run_tests.sh b/tools/run_tests.sh
new file mode 100755
index 000000000..f253327e5
--- /dev/null
+++ b/tools/run_tests.sh
@@ -0,0 +1,85 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2015 Ericsson AB and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# Run yardstick's unit, coverage, functional test
+
+getopts ":f" FILE_OPTION
+opts=$@ # get other args
+
+# don't write .pyc files this can cause odd unittest results
+export PYTHONDONTWRITEBYTECODE=1
+
+PY_VER="py$( python --version | sed 's/[^[:digit:]]//g' | cut -c-2 )"
+export PY_VER
+
+COVER_DIR_NAME="./tools/"
+export COVER_DIR_NAME
+
+run_tests() {
+ echo "Get external libs needed for unit test"
+
+ echo "Running unittest ... "
+ if [ $FILE_OPTION == "f" ]; then
+ python -m unittest discover -v -s tests/unit > $logfile 2>&1
+ else
+ python -m unittest discover -v -s tests/unit
+ fi
+
+ if [ $? -ne 0 ]; then
+ if [ $FILE_OPTION == "f" ]; then
+ echo "FAILED, results in $logfile"
+ fi
+ exit 1
+ else
+ if [ $FILE_OPTION == "f" ]; then
+ echo "OK, results in $logfile"
+ fi
+ fi
+}
+
+run_coverage() {
+ source $COVER_DIR_NAME/cover.sh
+ run_coverage_test
+}
+
+run_functional_test() {
+
+ mkdir -p .testrepository
+ python -m subunit.run discover tests/functional > .testrepository/subunit.log
+
+ subunit2pyunit < .testrepository/subunit.log
+ EXIT_CODE=$?
+ subunit-stats < .testrepository/subunit.log
+
+ if [ $EXIT_CODE -ne 0 ]; then
+ exit 1
+ else
+ echo "OK"
+ fi
+}
+
+if [[ $opts =~ "--unit" ]]; then
+ run_tests
+fi
+
+if [[ $opts =~ "--coverage" ]]; then
+ run_coverage
+fi
+
+if [[ $opts =~ "--functional" ]]; then
+ run_functional_test
+fi
+
+if [[ -z $opts ]]; then
+ echo "No tests to run!!"
+ echo "Usage: run_tests.sh [--unit] [--coverage] [--functional]"
+ exit 1
+fi